<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream::ProgressReport Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html">audioPlayer</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item.html">AudioItem</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream.html">Stream</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report.html">ProgressReport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream::ProgressReport Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains values for progress reports.  
 <a href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_audio_item_8h_source.html">AudioItem.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abdfd489bfd5804fbdbdc7c99d2fd84a4"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report.html#abdfd489bfd5804fbdbdc7c99d2fd84a4">delay</a></td></tr>
<tr class="separator:abdfd489bfd5804fbdbdc7c99d2fd84a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad36eafd4151cae0e46fc7012668a20e5"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report.html#ad36eafd4151cae0e46fc7012668a20e5">interval</a></td></tr>
<tr class="separator:ad36eafd4151cae0e46fc7012668a20e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Contains values for progress reports. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="abdfd489bfd5804fbdbdc7c99d2fd84a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdfd489bfd5804fbdbdc7c99d2fd84a4">&#9670;&nbsp;</a></span>delay</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream::ProgressReport::delay</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Specifies when to send the <code>ProgressReportDelayElapsed</code> event to AVS. <code>ProgressReportDelayElapsed</code> must only be sent once at the specified interval.</p>
<dl class="section note"><dt>Note</dt><dd>Some music providers do not require this report. If the report is not required, <code>delay</code> will be set to <code>std:chrono:</code>:milliseconds::max(). </dd></dl>

</div>
</div>
<a id="ad36eafd4151cae0e46fc7012668a20e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad36eafd4151cae0e46fc7012668a20e5">&#9670;&nbsp;</a></span>interval</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream::ProgressReport::interval</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Specifies when to emit a <code>ProgressReportIntervalElapsed</code> event to AVS. <code>ProgressReportIntervalElapsed</code> must be sent periodically at the specified interval.</p>
<dl class="section note"><dt>Note</dt><dd>Some music providers do not require this report. If the report is not required, <code>interval</code> will be set to <code>std::chrono::milliseconds::max()</code>. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/AudioPlayer/include/AudioPlayer/<a class="el" href="_audio_item_8h_source.html">AudioItem.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
